branches:
only:
- master
+before_install:
+ - sudo apt-get remove -qq autoconf automake autotools-dev libtool
+ - ci/build-1-autotools.sh
script:
- - ./autogen.sh
- - ./configure --enable-ipv4 --enable-ipv6 --prefix=/opt/fping
- - make
- - sudo make install
- - sudo /opt/fping/sbin/fping 127.0.0.1
+ - ci/build-2-install.sh
+ - ci/test-1.sh
--- /dev/null
+#!/bin/bash
+
+AUTOCONF=http://ftp.gnu.org/gnu/autoconf/autoconf-2.69.tar.gz
+AUTOMAKE=http://ftp.gnu.org/gnu/automake/automake-1.14.1.tar.gz
+LIBTOOL=http://alpha.gnu.org/gnu/libtool/libtool-2.4.2.418.tar.gz
+PREFIX=$(pwd)/build
+
+set -e
+
+if [ ! -d ci ]; then
+ echo "you must run this in the root fping directory" >&2
+ exit 1
+fi
+
+cd ci
+rm -rf build
+mkdir -p build/src
+cd build/src
+
+### autoconf
+
+(
+AUTOCONF_FILE=$(basename $AUTOCONF)
+AUTOCONF_DIR=$(echo $AUTOCONF_FILE | sed -e 's/\.tar.*//')
+wget $AUTOCONF
+tar xf $AUTOCONF_FILE
+cd $AUTOCONF_DIR
+./configure --prefix=$PREFIX
+make install
+)
+
+### automake
+
+(
+AUTOMAKE_FILE=$(basename $AUTOMAKE)
+AUTOMAKE_DIR=$(echo $AUTOMAKE_FILE | sed -e 's/\.tar.*//')
+wget $AUTOMAKE
+tar xf $AUTOMAKE_FILE
+cd $AUTOMAKE_DIR
+./configure --prefix=$PREFIX
+make install
+)
+
+### libtool
+
+(
+LIBTOOL_FILE=$(basename $LIBTOOL)
+LIBTOOL_DIR=$(echo $LIBTOOL_FILE | sed -e 's/\.tar.*//')
+wget $LIBTOOL
+tar xf $LIBTOOL_FILE
+cd $LIBTOOL_DIR
+./configure --prefix=$PREFIX
+make install
+)
--- /dev/null
+#!/bin/bash
+
+if [ ! -d ci ]; then
+ echo "you must run this in the root fping directory" >&2
+ exit 1
+fi
+
+PATH=$(pwd)/ci/build/bin:$PATH
+
+autoreconf -i
+./configure --enable-ipv4 --enable-ipv6 --prefix=/opt/fping
+make
+sudo make install